### Method

# Pango Context set_gravity_hint

since: 1.16

#### Declaration [src]

    void
    pango_context_set_gravity_hint (
      PangoContext* context,
      PangoGravityHint hint
    )

#### Description [src]

Sets the gravity hint for the context.

The gravity hint is used in laying vertical text out, and is only relevant if gravity of the context as returned by `pango_context_get_gravity()` is set to `PANGO_GRAVITY_EAST` or `PANGO_GRAVITY_WEST`.

Available since: 1.16

#### Parameters

`hint`

  Type: `PangoGravityHint`

  The new gravity hint.